%define upstream_name Net-DNS-Resolver-Programmable
%define upstream_version v0.003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Programmable DNS resolver class for offline emulation of DNS
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/net-dns-resolver-programmable/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-version
BuildArch:	noarch

%description
Net::DNS::Resolver::Programmable is a Net::DNS::Resolver descendant class that
allows a virtual DNS to be emulated instead of querying the real DNS. A set of
static DNS records may be supplied, or arbitrary code may be specified as a
means for retrieving DNS records, or even generating them on the fly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CHANGES LICENSE README TODO
%{perl_vendorlib}/Net/DNS/Resolver/*.pm
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1031064
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 933590
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.003-8.mga5
+ Revision: 746987
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.003-7.mga5
+ Revision: 685641
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.003-6.mga4
+ Revision: 513375
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.003-5.mga3
+ Revision: 370551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.003-4.mga1
+ Revision: 13338
- imported package perl-Net-DNS-Resolver-Programmable


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.003-4mdv2010.1
+ Revision: 426540
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.003-3mdv2009.0
+ Revision: 223851
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.003-2mdv2008.1
+ Revision: 180497
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.003-1mdv2008.0
+ Revision: 47036
- Import perl-Net-DNS-Resolver-Programmable



* Mon Jul 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.003-1mdv2008.0
- initial Mandriva package 
